FreeBSD : librsync -- collision vulnerability (b22b016b-b633-11e5-83ef-14dae9d210b8)

Medium Nessus Plugin ID 87832


The remote FreeBSD host is missing a security-related update.


Michael Samuel reports :

librsync before 1.0.0 uses a truncated MD4 checksum to match blocks, which makes it easier for remote attackers to modify transmitted data via a birthday attack.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 87832

File Name: freebsd_pkg_b22b016bb63311e583ef14dae9d210b8.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2016/01/11

Modified: 2016/01/11

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:librsync, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/01/08

Vulnerability Publication Date: 2014/07/28

Reference Information

CVE: CVE-2014-8242